package com.aimluck.eip.cayenne.om.portlet;

import com.aimluck.eip.cayenne.om.portlet.auto._AvzTMailSend;

public class AvzTMailSend extends _AvzTMailSend {

  public static final String READ_FLG_COLUMN = "READ_FLG";

  public static final String SUBJECT_COLUMN = "SUBJECT";

  public static final String PERSON_COLUMN = "PERSON";

  public static final String EVENT_DATE_COLUMN = "EVENT_DATE";

  public static final String FILE_VOLUME_COLUMN = "FILE_VOLUME";

  public static final String HAS_FILES_COLUMN = "HAS_FILES";

  public static final String FILE_PATH_COLUMN = "FILE_PATH";

  public static final String REPLY_FORWARD_COLUMN = "REPLY_FORWARD";

  public Integer getMailId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(MAIL_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }
}
